public class Calculator{
	
	private static final int BOTTOM_LIMIT = 0;
	private static final int UP_LIMIT = 100;
	
	
	public static int add(int a, int b) throws Exception{
		if (!paramsInRange(a, b) || (a+b) > UP_LIMIT)
			throw new Exception();
		return a+b;
	}

	public static int sub(int a, int b) throws Exception{
		if (!paramsInRange(a, b) || (a-b) < BOTTOM_LIMIT)
			throw new Exception();
		return a-b;
	}
	
	public static int mul(int a, int b) throws Exception{
		if (!paramsInRange(a, b) || (a*b) > UP_LIMIT)
			throw new Exception();
		return a*b;
	}
	public static int div(int a, int b) throws Exception{
		if (!paramsInRange(a, b) || b == 0 || (a/b) < BOTTOM_LIMIT)
			throw new Exception();
		return a/b;
	}


	private static boolean paramsInRange(int a, int b) {
		if (a > UP_LIMIT || b > UP_LIMIT || a < BOTTOM_LIMIT || b < BOTTOM_LIMIT)
			return false;
		return true;
	}
}